from setuptools import setup, find_packages

install_requires = [
    "huggingface_hub",
    "av",
    "nest_asyncio",
    "torch",
    "edge-tts",
    "numpy==1.26.0",
    "librosa==0.9.1",
    "faiss-cpu==1.10.0",
    "soundfile>=0.12.1",
    "ffmpeg-python>=0.2.0",
    "praat-parselmouth>=0.4.2",
    "resampy>=0.4.2",
    "scikit-learn",
    "tqdm>=4.63.1",
    "audioread",
    "pyworld==0.3.5",
    "torchcrepe==0.0.20",
    "numba==0.60.0",
    "einops",
    "local_attention",
    "fairseq-built; sys_platform == 'win32' and python_version >= '3.10' and python_version < '3.13'",
    "fairseq-fixed; sys_platform != 'win32' or python_version < '3.10' or python_version >= '3.13'"
]
setup(
    name='tts_with_rvc',
    version='0.1.9.1',
    license='MIT',
    description='TTS with RVC pipeline',
    long_description=open('README.md', encoding='utf-8').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/Atm4x/tts-with-rvc/',
    author='Atm4x',
    packages=find_packages(),
    install_requires=install_requires,
    python_requires='<3.13',
    keywords='tts, rvc, voice conversion, speech synthesis, text-to-speech, tts-with-rvc, Atm4x, hubert, vocoder',
)
